org.mozilla.javascript.tools.debugger

## Interface GuiCallback

- All Known Implementing Classes:
    SwingGui

      public interface GuiCallback

  Interface for communication between the debugger and its GUI. This should be implemented by the GUI.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatchNextGuiEvent()` Processes the next GUI event.
    `void` | `enterInterrupt(Dim.StackFrame lastFrame, java.lang.String threadTitle, java.lang.String alertMessage)` Called when the interrupt loop has been entered.
    `boolean` | `isGuiEventThread()` Returns whether the current thread is the GUI's event thread.
    `void` | `updateSourceText(Dim.SourceInfo sourceInfo)` Called when the source text of some script has been changed.

- - ### Method Detail

    - #### updateSourceText

          void updateSourceText(Dim.SourceInfo sourceInfo)

      Called when the source text of some script has been changed.

    - #### enterInterrupt

          void enterInterrupt(Dim.StackFrame lastFrame,
                              java.lang.String threadTitle,
                              java.lang.String alertMessage)

      Called when the interrupt loop has been entered.

    - #### isGuiEventThread

          boolean isGuiEventThread()

      Returns whether the current thread is the GUI's event thread. This information is required to avoid blocking the event thread from the debugger.

    - #### dispatchNextGuiEvent

          void dispatchNextGuiEvent()
                             throws java.lang.InterruptedException

      Processes the next GUI event. This manual pumping of GUI events is necessary when the GUI event thread itself has been stopped.
      Throws:
        `java.lang.InterruptedException`